#!/bin/bash
source /root/envsetup/conf.sh

# Download config file from skyreach
conf_url="https://$SKYREACH_HOST/erp/credentials/$SKYREACH_API_KEY/conf.sh"
if ( curl -I "$conf_url" >/dev/null ); then
	wget -q "$conf_url" -O /root/envsetup/conf.sh
	source /root/envsetup/conf.sh
else
	echo "Failed to download configuration using url:"
	echo "    $conf_url"
fi

# Autogenerate missing values
if [ "${MS_ID}" = "" ]; then
	MS_ID=$(echo "$(hostname)_msuser")
	sed -i "s@^MS_ID=.*@MS_ID='${MS_ID}'@" /root/envsetup/conf.sh
fi
if [ "${MS_API_KEY}" = "" ]; then
	MS_API_KEY=$(echo "s$(pwgen 4)-$(pwgen 5)-$(pwgen 5)-$(pwgen 5)-$(pwgen 5)")
	# respect API pattern
	MS_API_KEY=$(echo $MS_API_KEY | sed "s@[iloILO]@$((${RANDOM} / 10000))@g")
	sed -i "s@^MS_API_KEY=.*@MS_API_KEY='${MS_API_KEY}'@" /root/envsetup/conf.sh
fi
if [ "${MS_SECRET}" = "secret" ]; then
	MS_SECRET=$(echo "$(pwgen 40)")
	sed -i "s@^MS_SECRET=.*@MS_SECRET='${MS_SECRET}'@" /root/envsetup/conf.sh
fi
# Worker IP for whitelist
if [ "${CELERITY_WORKER_IP}" = "" ]; then
	CELERITY_WORKER_IP=$(ip addr show | grep inet | grep -v 127 | grep -v ":" | awk -F " " '{print$2}' | awk -F "/" '{print$1}')
	sed -i "s@^CELERITY_CELERITY_WORKER_IP=.*@CELERITY_CELERITY_WORKER_IP='${CELERITY_WORKER_IP}'@" /root/envsetup/conf.sh
fi
